import com.qmrz.CodeGenerator;
import com.qmrz.generator.*;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

@Slf4j
@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(classes = CodeGenerator.class)
public class TestCodeGenerator {
    private String dbname="qmrzga-dev";
    /**
     * 生成所有
     */
    @Test
    public void generatorAll() {
        readme();
        mapper();
        service();
        serviceImpl();
        controller();
        interface2();
    }


    /**
     * readme 生成
     */
    @Test
    public void readme() {
        DBReadmeGenerator generator = new DBReadmeGenerator(dbname);
        generator.generator();
    }

    /**
     * readme 生成
     */
    @Test
    public void interface2() {
        InterfaceReadmeGenerator generator = new InterfaceReadmeGenerator(dbname);
        generator.generator();
    }
    /**
     * mapper 生成
     */
    @Test
    public void mapper() {
        MapperGenerator generator = new MapperGenerator(dbname);
        generator.generator();
    }

    /**
     * service 生成
     */
    @Test
    public void service() {
        ServiceGenerator generator = new ServiceGenerator(dbname);
        generator.generator();
    }

    /**
     * serviceImpl 生成
     */
    @Test
    public void serviceImpl() {
        ServiceImplGenerator generator = new ServiceImplGenerator(dbname);
        generator.generator();
    }

    /**
     * controller 生成
     */
    @Test
    public void controller() {
        ControllerGenerator generator = new ControllerGenerator(dbname);
        generator.generator();
    }

    /**
     * api_sync 同步
     */
    @Test
    public void api_sync() {
        ApiSyncGenerator generator = new ApiSyncGenerator(dbname);
        generator.generator();
    }
}
